> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zerobot.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify assistant

> Modifies an assistant.



## OpenAPI

````yaml PATCH /v1/assistants/{assistant_id}
openapi: 3.0.0
info:
  title: ZeroBot API
  version: 1.0.0
  description: API reference for ZeroBot
servers:
  - url: https://api.zerobot.ai
security: []
paths:
  /v1/assistants/{assistant_id}:
    patch:
      summary: Modify an assistant
      description: Modifies an assistant.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                  description: >-
                    ID of the model to use. You can use the List models API to
                    see all of your available models, or see our Model overview
                    for descriptions of them.
                name:
                  type: string
                  maxLength: 256
                  description: >-
                    The name of the assistant. The maximum length is 256
                    characters.
                description:
                  type: string
                  maxLength: 512
                  description: >-
                    The description of the assistant. The maximum length is 512
                    characters.
                instructions:
                  type: string
                  maxLength: 256000
                  description: >-
                    The system instructions that the assistant uses. The maximum
                    length is 256,000 characters.
                tools:
                  type: array
                  description: >-
                    A list of tool enabled on the assistant. There can be a
                    maximum of 128 tools per assistant. Tools can be of types
                    `code_interpreter`, `file_search`, or `function`.
                  items:
                    anyOf:
                      - type: object
                        required:
                          - type
                        properties:
                          type:
                            type: string
                            enum:
                              - code_interpreter
                            description: 'The type of tool being defined: code_interpreter'
                      - type: object
                        required:
                          - type
                        properties:
                          type:
                            type: string
                            enum:
                              - file_search
                            description: 'The type of tool being defined: file_search'
                      - type: object
                        required:
                          - type
                          - function
                        properties:
                          type:
                            type: string
                            enum:
                              - function
                            description: 'The type of tool being defined: function'
                          function:
                            type: object
                            description: The function properties for the tool.
                  default: []
                  maxItems: 128
                tool_resources:
                  type: object
                  description: >-
                    A set of resources that are used by the assistant's tools.
                    The resources are specific to the type of tool. For example,
                    the `code_interpreter` tool requires a list of file IDs,
                    while the `file_search` tool requires a list of vector store
                    IDs.
                  properties:
                    code_interpreter:
                      type: object
                      properties:
                        file_ids:
                          type: array
                          description: >-
                            A list of file IDs made available to the
                            code_interpreter tool. There can be a maximum of 20
                            files associated with the tool.
                          items:
                            type: string
                          default: []
                          maxItems: 20
                    file_search:
                      type: object
                      properties:
                        vector_store_ids:
                          type: array
                          description: >-
                            The vector store attached to this assistant. There
                            can be a maximum of 1 vector store attached to the
                            assistant.
                          items:
                            type: string
                          maxItems: 1
                        vector_stores:
                          type: array
                          description: >-
                            A helper to create a vector store with file_ids and
                            attach it to this assistant. There can be a maximum
                            of 1 vector store attached to the assistant.
                          items:
                            type: object
                            properties:
                              file_ids:
                                type: array
                                description: >-
                                  A list of file IDs to add to the vector store.
                                  There can be a maximum of 10000 files in a
                                  vector store.
                                items:
                                  type: string
                                maxItems: 10000
                              metadata:
                                type: object
                                description: >-
                                  Set of 16 key-value pairs that can be attached
                                  to a vector store. This can be useful for
                                  storing additional information about the
                                  vector store in a structured format. Keys can
                                  be a maximum of 64 characters long and values
                                  can be a maxium of 512 characters long.
                                additionalProperties:
                                  type: string
                                  maxLength: 512
                                maxProperties: 16
                          maxItems: 1
                metadata:
                  type: object
                  description: >-
                    Set of 16 key-value pairs that can be attached to an object.
                    This can be useful for storing additional information about
                    the object in a structured format. Keys can be a maximum of
                    64 characters long and values can be a maxium of 512
                    characters long.
                  additionalProperties:
                    type: string
                    maxLength: 512
                  maxProperties: 16
                temperature:
                  type: number
                  description: >-
                    What sampling temperature to use, between 0 and 2. Higher
                    values like 0.8 will make the output more random, while
                    lower values like 0.2 will make it more focused and
                    deterministic.
                  default: 1
                  minimum: 0
                  maximum: 2
                top_p:
                  type: number
                  description: >-
                    An alternative to sampling with temperature, called nucleus
                    sampling, where the model considers the results of the
                    tokens with top_p probability mass. So 0.1 means only the
                    tokens comprising the top 10% probability mass are
                    considered.
                  default: 1
                response_format:
                  anyOf:
                    - type: string
                      default: auto
                    - type: object
                      description: >-
                        An object describing the expected output of the model.
                        If json_object only function type tools are allowed to
                        be passed to the Run. If text the model can return text
                        or any value needed.
                  description: >-
                    Specifies the format that the model must output. Compatible
                    with GPT-4 Turbo and all GPT-3.5 Turbo models since
                    gpt-3.5-turbo-1106.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                description: The modified assistant object.

````